Subject: Re: [net-next PATCH v3 00/12] Flow API

From: Jamal Hadi Salim <[email-masked]>
Date: Thu, 22 Jan 2015 10:28:03 -0500

On 01/22/15 10:13, Thomas Graf wrote:

> I don't follow this. John's proposal allows to decide on a case by
> case basis what we want to export. Just like with ethtool or
> RTNETLINK. There is no direct access to hardware. A user can only
> configure what is being exposed by the kernel.
>

So if i am a vendor with my own driver, I can expose whatever i want.
Only my SDK needs to deal with what i expose. There is no needed
feature in the kernel other than the driver exposing it that is
required.

cheers,
jamal